require "config"

local function removeFlag(biterFriendlyItemFlags)
  if biterFriendlyItemFlags == nil then
    return
  end
  
  for i, flag in ipairs(biterFriendlyItemFlags) do
    if flag == "player-creation" then
      table.remove(biterFriendlyItemFlags, i)
      return
    end
  end
  
end

local function dataUpdate()
  -- make certain types biter friendly, excluding certain items
  for _, biterFriendlyType in ipairs(config["biter-friendly-type"]) do
    if biterFriendlyType ~= nil and data.raw[biterFriendlyType] ~= nil then
      for _, biterFriendlyItem in pairs(data.raw[biterFriendlyType]) do
        if biterFriendlyItem ~= nil then
          local biterFriendly = true
          
          for _, biterFriendlyExcludeName in ipairs(config["biter-friendly-name-exclude"]) do
            if biterFriendlyItem.name == biterFriendlyExcludeName then
              biterFriendly = false
              break
            end
          end
          
          if biterFriendly == true then
            removeFlag(biterFriendlyItem.flags)
          end
        end
      end
    end
  end
  
  -- make certain items biter friendly
  for _, entitytype in pairs(data.raw) do
    for _, biterFriendlyName in ipairs(config["biter-friendly-name"]) do
      if biterFriendlyName ~= nil and entitytype[biterFriendlyName] ~= nil then
        removeFlag(entitytype[biterFriendlyName].flags)
      end
    end
  end
  
end

dataUpdate()